Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.interceptor
Class InterceptorStack

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.interceptor.InterceptorStack

All Implemented Interfaces:
  MuleContextAware, Interceptor, Disposable, Initialisable, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class InterceptorStack

extends AbstractInterceptingMessageProcessor
implements Interceptor, Initialisable, Disposable

Maintains a list of interceptors that can be applied to components.

Field Summary

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`InterceptorStack()`
`InterceptorStack(List<Interceptor> interceptors)`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`boolean` | `equals(Object obj)`
`List<Interceptor>` | `getInterceptors()`
`int` | `hashCode()`
`void` | `initialise()` Method used to perform any initialisation work.
`MuleEvent` | `process(MuleEvent event)` Invoked when the component should be called.
`void` | `setInterceptors(List<Interceptor> interceptors)`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Constructor Detail

### InterceptorStack

    public InterceptorStack()

### InterceptorStack

    public InterceptorStack(List<Interceptor> interceptors)

Method Detail

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `Interceptor`
  Invoked when the component should be called. The implementation can call next.process(event) to call the component or the next filer in the chain.

  Specified by:
    `process` in interface `Interceptor`
  Specified by:
    `process` in interface `MessageProcessor`
  Parameters:
    `event` - the event containing info about the current message and service
  Returns:
    A result message that may have been altered by this invocation
  Throws:
    `MuleException`

### getInterceptors

    public List<Interceptor> getInterceptors()

### setInterceptors

    public void setInterceptors(List<Interceptor> interceptors)

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.